[B043] 医药新闻检索

post
https://connect.zhihuiya.com/synapse/news/search
在体验中心中试用

获取新闻,包括标题、内容、发布时间等

检索条件中涉及的机构、靶点、适应症、药物类型默认都是向上卷积(Roll-Up)逻辑

请求参数

此 API 接口支持的参数列表

名称类型示例描述
offset
integer<int64>-
偏移量,默认0
limit
integer<int64>10
返回条数,默认10。 offset + limit <= 10000, limit最大设置1000
drug
object{ "value": [ "81364d1ace044fdc8af8f60026eb2c7b" ], "condition": "OR" }
药物,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "945fa31ebe9e41ae912e493aa3324576" ]
值列表
target
object{ "value": [ "928facc8122849baa0dc00759cff0380" ], "condition": "OR" }
靶点,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "9786d32e3d244a688ec6a60d2fe1b10b" ]
值列表
disease
object{ "value": [ "3beea980d93a4cc0abc864e27514601c" ], "condition": "OR" }
适应症,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "3beea980d93a4cc0abc864e27514601c" ]
值列表
organization
object{ "value": [ "fa85404e9b2f62d55e5167ed2213eca7" ], "condition": "OR" }
机构,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "6a8c172f1efc649035845f94c31a9c1e" ]
值列表
keyword
object{ "value": [ "CRISPR" ], "condition": "OR" }
关键词,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "keytruda" ]
值列表
post_time
object{ "to": 1756742399999, "from": 1722441600000 }
发布时间,时间戳格式。引用"NewsSearchLongRangeItem"
from
integer<int64>1722441600000
范围起始
to
integer<int64>1756742399999
范围截止
sort
array[ { "sort_field": "post_time", "sort_order": "desc" } ]
排序字段,枚举值:post_time。默认交易发布时间倒序。引用“SortDto”
sort_field
stringpost_time
排序字段,枚举值:post_time
sort_order
stringdesc
排序方式,支持:desc,asc

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
items
arrayPlease check the form:NewsDetailDto
查询结果
title
stringRoche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD)
新闻标题
source
stringBBC
来源
news_id
stringf57e970e-8f97-39b7-a6be-51846e92bee1
新闻ID
source_url
stringhttps://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/
新闻原始链接
limit
integer<int64>10
返回条数
total
integer<int64>10
总量
offset
integer<int64>-
偏移量
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "items": [
      {
        "title": "Roche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD)",
        "source": "BBC",
        "news_id": "f57e970e-8f97-39b7-a6be-51846e92bee1",
        "source_url": "https://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/"
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms